Download it now!
Bug 74507 - Calc 4.2.0.4 Crashes displaying specific xls-file (4.1.4.2 can open it without problem)
Summary: Calc 4.2.0.4 Crashes displaying specific xls-file (4.1.4.2 can open it withou...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: x86 (IA32) Linux (All)
: medium normal
Assignee: Kohei Yoshida
URL:
Whiteboard: target:4.3.0 target:4.2.1
Keywords: regression
Depends on:
Blocks:
 
Reported: 2014-02-04 14:55 UTC by lars.luennemann
Modified: 2015-01-24 12:58 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
.xls-file to reproduce the crash (481.50 KB, application/vnd.ms-excel)
2014-02-04 14:55 UTC, lars.luennemann
Details
Screenshot of the chart without data-range (68.04 KB, image/jpeg)
2014-02-04 14:59 UTC, lars.luennemann
Details
file saved with LO4.1, no crash, data-range filled (80.08 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-02-04 15:04 UTC, lars.luennemann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description lars.luennemann 2014-02-04 14:55:26 UTC
Created attachment 93362 [details]
.xls-file to reproduce the crash

When started from the console, the following errors appears:

soffice.bin: Fatal IO error: client killed
KCrash: Application 'soffice.bin' crashing...
KCrash cannot reach kdeinit, launching directly.

Maybe Related to bug 39032?
"xls file with 4 data points and chart (non-contiguous data range)"
Comment 1 lars.luennemann 2014-02-04 14:56:29 UTC
there is no error-message displayed on screen, only the one at the console when started from there.
Comment 2 lars.luennemann 2014-02-04 14:59:26 UTC
Probably a Problem with a Chart. The opend File in LO4.1 shows a chart, but no valid data-range in it, see screenshot.
Comment 3 lars.luennemann 2014-02-04 14:59:59 UTC
Created attachment 93364 [details]
Screenshot of the chart without data-range
Comment 4 lars.luennemann 2014-02-04 15:04:36 UTC
Created attachment 93365 [details]
file saved with LO4.1, no crash, data-range filled

When the file is saved from LO4.1 as .ods, it can be displayed without problems an the chart-data-range is filled.

maybe the buggy-file is a malformed .xls from excel with less "tollerance" from LO4.2 then from 4.1?
Comment 5 lars.luennemann 2014-02-04 15:05:51 UTC
the crash with the bug-file appears when the tab "OR" is selected. a few times it happend also when i try to delete other tabs or saving the file.
Comment 6 Kohei Yoshida 2014-02-07 15:55:55 UTC
FYI, Unchecking the "precision as shown" option prevents the crash.

I know where it crashes now.  Still working on getting it fixed.
Comment 7 Kohei Yoshida 2014-02-07 15:56:08 UTC
Mine
Comment 8 Commit Notification 2014-02-07 16:57:08 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6437313bdba12836d9e472654ad402601af58077

fdo#74507: Write test for this to induce the crash during unit test run.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2014-02-07 16:57:25 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=738bd2cfd446debbc0e08fb5500004276fa28c7d

fdo#74507: Ensure that we have non-null pointer to ScColumn.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Kohei Yoshida 2014-02-07 16:58:33 UTC
4.2 backport request: https://gerrit.libreoffice.org/7927
Comment 11 Commit Notification 2014-02-07 17:01:37 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=adb85f81cec5783a3a70045731401f73aa76d6f4&h=libreoffice-4-2

fdo#74507: Ensure that we have non-null pointer to ScColumn.


It will be available in LibreOffice 4.2.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Kohei Yoshida 2014-02-07 17:02:10 UTC
And in.  That was very quick!